Merge "Add ansible related install scripts" into dev/experimental

This commit is contained in:
Jenkins 2015-04-16 18:26:22 +00:00 committed by Gerrit Code Review
commit 4652e6d7c2
3 changed files with 28 additions and 2 deletions

25
install/ansible.sh Executable file
View File

@ -0,0 +1,25 @@
#!/bin/bash
#
echo "Installing Ansible"
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source $DIR/install.conf
if [ -f $DIR/env.conf ]; then
source env.conf
else
echo "failed to load environment"
exit 1
fi
source $DIR/install_func.sh
echo "INstalling ansible related packages"
sudo yum -y install ansible
if [[ "$?" != "0" ]]; then
echo "Failed to install ansible"
exit 1
fi
sudo mkdir -p /var/ansible/run
sudo mkdir -p /root/backup/ansible
sudo cp -rn /var/ansible/* /root/backup/ansible/
sudo cp -rf $ADAPTERS_HOME/ansible/* /var/ansible/

View File

@ -6,7 +6,7 @@
export OS_INSTALLER=${OS_INSTALLER:-cobbler}
# PACKAGE_INSTALLER indicates the tool for Package provisioning, default is 'chef'.
export PACKAGE_INSTALLER=${PACKAGE_INSTALLER:-chef}
export PACKAGE_INSTALLER=${PACKAGE_INSTALLER:-package}
# service NIC
export NIC=${NIC:-}

View File

@ -340,7 +340,8 @@ echo "Install the OS Installer Tool"
source ${COMPASSDIR}/install/$OS_INSTALLER.sh || exit $?
echo "Install the Package Installer Tool"
source ${COMPASSDIR}/install/$PACKAGE_INSTALLER.sh || exit $?
source ${COMPASSDIR}/install/chef.sh || exit $?
source ${COMPASSDIR}/install/ansible.sh || exit $?
echo "Download and install Compass Web"
source ${COMPASSDIR}/install/compass_web.sh || exit $?